Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006390 [JEDI VCL] 00 JVCL Components minor always 2015-03-15 00:35 2015-09-21 17:47
Reporter tecnobyte View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0006390: JVCL 3.48 - DWORD_PTR type problem with Delphi 7
Description On unit TJvRichEditStrings.pas:

dwCookie := DWORD_PTR(AConverter);

and

dwCookie := DWORD_PTR(Cookie);

The DWORD_PTR not found in Delphi7.

Solve:

dwCookie := {$IFDEF COMPILER19_UP}DWORD_PTR{$ELSE}Longint{$ENDIF}(AConverter);

and

dwCookie := {$IFDEF COMPILER19_UP}DWORD_PTR{$ELSE}Longint{$ENDIF}(Cookie);

Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0021150)
AHUser (developer)
2015-03-15 11:03

Already fixed (2014-05-08)
13a6de00518eac11b24696cef1af0ae4b8c38aef

- Issue History
Date Modified Username Field Change
2015-03-15 00:35 tecnobyte New Issue
2015-03-15 11:03 AHUser Note Added: 0021150
2015-03-15 11:03 AHUser Status new => resolved
2015-03-15 11:03 AHUser Fixed in Version => Daily / GIT
2015-03-15 11:03 AHUser Resolution open => fixed
2015-03-15 11:03 AHUser Assigned To => AHUser
2015-09-21 17:47 obones Fixed in Version Daily / GIT => 3.49


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker